aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDerek Straka <derek@asterius.io>2017-12-26 10:33:55 -0500
committerArmin Kuster <akuster808@gmail.com>2017-12-30 12:33:18 -0800
commit681bce86e589072dcca1b79233c657a6f856a5a1 (patch)
tree65761ddcf81599727893fbf5d5e1124696ea46b7
parent83b097cc3b9ed4a45cb8b1fb3b3ef8a09f32ea48 (diff)
downloadmeta-openembedded-681bce86e589072dcca1b79233c657a6f856a5a1.zip
meta-openembedded-681bce86e589072dcca1b79233c657a6f856a5a1.tar.gz
meta-openembedded-681bce86e589072dcca1b79233c657a6f856a5a1.tar.bz2
python-parted: update to version 3.11.1
Update github hash for the release Add correct RDEPENDS for the minimal python installs Remove a patch no longer required Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Armin Kuster <akuster808@gmail.com>
-rw-r--r--meta-python/recipes-extended/python-pyparted/python-pyparted.inc12
-rw-r--r--meta-python/recipes-extended/python-pyparted/python-pyparted/0001-fix-version-float-check.patch26
-rw-r--r--meta-python/recipes-extended/python-pyparted/python-pyparted_3.11.1.bb (renamed from meta-python/recipes-extended/python-pyparted/python-pyparted_3.10.7.bb)0
-rw-r--r--meta-python/recipes-extended/python-pyparted/python3-pyparted/0001-fix-version-float-check.patch26
-rw-r--r--meta-python/recipes-extended/python-pyparted/python3-pyparted_3.11.1.bb (renamed from meta-python/recipes-extended/python-pyparted/python3-pyparted_3.10.7.bb)0
5 files changed, 7 insertions, 57 deletions
diff --git a/meta-python/recipes-extended/python-pyparted/python-pyparted.inc b/meta-python/recipes-extended/python-pyparted/python-pyparted.inc
index 65f8ca1..2192179 100644
--- a/meta-python/recipes-extended/python-pyparted/python-pyparted.inc
+++ b/meta-python/recipes-extended/python-pyparted/python-pyparted.inc
@@ -11,11 +11,13 @@ LIC_FILES_CHKSUM = "\
DEPENDS += "parted"
# upstream only publishes releases in github archives which are discouraged
-SRCREV = "69c4a478e43d3eff6ae3a0116fa38da06776d5f5"
-SRC_URI = "git://github.com/rhinstaller/pyparted.git;protocol=https \
- file://0001-fix-version-float-check.patch \
-"
+SRCREV = "1fdb15120f35f5da1dc7ec116522f0c796a8376a"
+SRC_URI = "git://github.com/rhinstaller/pyparted.git;protocol=https"
+
S = "${WORKDIR}/git"
-RDEPENDS_${PN} += "parted (>= 2.3)"
+RDEPENDS_${PN}_class-target += " \
+ parted (>= 2.3) \
+ ${PYTHON_PN}-subprocess \
+"
RDEPENDS_${PN}_class-native = ""
diff --git a/meta-python/recipes-extended/python-pyparted/python-pyparted/0001-fix-version-float-check.patch b/meta-python/recipes-extended/python-pyparted/python-pyparted/0001-fix-version-float-check.patch
deleted file mode 100644
index db3ab9f..0000000
--- a/meta-python/recipes-extended/python-pyparted/python-pyparted/0001-fix-version-float-check.patch
+++ /dev/null
@@ -1,26 +0,0 @@
-check_mod_version breaks if module version is of x.y.z form
-use a regex to help cast x.y.z version to a float
-
-Upstream-Status: Pending
-
-Index: git/setup.py
-===================================================================
---- git.orig/setup.py
-+++ git/setup.py
-@@ -25,6 +25,7 @@ import glob
- import os
- import platform
- import sys
-+import re
- from distutils.ccompiler import new_compiler
- from distutils.errors import CompileError
- from distutils.errors import LinkError
-@@ -51,6 +52,8 @@ def pkgconfig(*packages, **kwargs):
-
- def check_mod_version(module, version):
- modversion = subprocess.check_output(["pkg-config", "--modversion", module])
-+ match = re.search('([0-9]+\.[0-9]+)', modversion)
-+ modversion = match.group(0)
- if not float(modversion) >= float(version):
- sys.stderr.write("*** Minimum required %s version: %s, found: %s\n" % (module, version, modversion,))
- sys.exit(1)
diff --git a/meta-python/recipes-extended/python-pyparted/python-pyparted_3.10.7.bb b/meta-python/recipes-extended/python-pyparted/python-pyparted_3.11.1.bb
index 81d61c6..81d61c6 100644
--- a/meta-python/recipes-extended/python-pyparted/python-pyparted_3.10.7.bb
+++ b/meta-python/recipes-extended/python-pyparted/python-pyparted_3.11.1.bb
diff --git a/meta-python/recipes-extended/python-pyparted/python3-pyparted/0001-fix-version-float-check.patch b/meta-python/recipes-extended/python-pyparted/python3-pyparted/0001-fix-version-float-check.patch
deleted file mode 100644
index 14fb0bb..0000000
--- a/meta-python/recipes-extended/python-pyparted/python3-pyparted/0001-fix-version-float-check.patch
+++ /dev/null
@@ -1,26 +0,0 @@
-check_mod_version breaks if module version is of x.y.z form
-use a regex to help cast x.y.z version to a float
-
-Upstream-Status: Pending
-
-Index: git/setup.py
-===================================================================
---- git.orig/setup.py
-+++ git/setup.py
-@@ -25,6 +25,7 @@ import glob
- import os
- import platform
- import sys
-+import re
- from distutils.ccompiler import new_compiler
- from distutils.errors import CompileError
- from distutils.errors import LinkError
-@@ -51,6 +52,8 @@ def pkgconfig(*packages, **kwargs):
-
- def check_mod_version(module, version):
- modversion = subprocess.check_output(["pkg-config", "--modversion", module])
-+ match = re.search(b'([0-9]+\.[0-9]+)', modversion)
-+ modversion = match.group(0)
- if not float(modversion) >= float(version):
- sys.stderr.write("*** Minimum required %s version: %s, found: %s\n" % (module, version, modversion,))
- sys.exit(1)
diff --git a/meta-python/recipes-extended/python-pyparted/python3-pyparted_3.10.7.bb b/meta-python/recipes-extended/python-pyparted/python3-pyparted_3.11.1.bb
index 4d6f97b..4d6f97b 100644
--- a/meta-python/recipes-extended/python-pyparted/python3-pyparted_3.10.7.bb
+++ b/meta-python/recipes-extended/python-pyparted/python3-pyparted_3.11.1.bb